---
title: Security Procedures and Policies
summary: Security Procedures and Policies
date: "2018-06-28T00:00:00+01:00"
draft: false
share: false
commentable: false
editable: false

# Optional header image (relative to `static/media/` folder).
header:
  caption: ""
  image: ""
---

<!-- If updating this document, please also update https://github.com/purpleteam-labs/.github/blob/main/SECURITY.md -->

<!-- Security page: [AskNicely](https://www.asknicely.com/security) has some good content that's also relevant to purpleteam. -->

This document outlines security procedures and general policies for the PurpleTeam-Labs organisation.

* [Reporting a Bug](#reporting-a-bug)
* [Disclosure Policy](#disclosure-policy)
* [Comments on this Policy](#comments-on-this-policy)

## Reporting a Bug

The PurpleTeam-Labs core team and community take security bugs in PurpleTeam seriously. We appreciate your efforts to responsibly disclose your findings, and will make every effort to acknowledge your contributions.

To report a security issue, contact PurpleTeam-labs via our [Contact Page](/contact/) and include the word "SECURITY" in the subject line.

A member of the PurpleTeam-Labs core team will send a response indicating the next steps in handling your report.
After the initial reply to your report, we will keep you informed of the progress towards a fix and full announcement, and may ask for additional information or guidance.

Report security bugs in third-party modules to the person or team maintaining the module.

## Disclosure Policy

When PurpleTeam-Labs receives a security bug report, it will be assigned to a primary handler. This person will coordinate the fix and release process, involving the following steps:

* Confirm the problem and determine the affected versions.
* Audit code to find any potential similar problems.
* Prepare fixes for all releases still under maintenance. These fixes will be
    released as fast as possible.

## Comments on this Policy

If you have suggestions on how this process could be improved please consider [contributing](https://github.com/purpleteam-labs/purpleteam/blob/main/CONTRIBUTING.md).

